Assignee: Go MAEDA % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

There should be global flag to indicate that login page should be served over HTTPS. As of now once can run whole application over

either HTTP or HTTPS. Running everything over HTTPS is overkill and sending user credentials over HTTP is a security whole.

Related issues:

Related to Redmine - Feature #24763: Force SSL when Setting.protocol is "https" New

History

#1 - 2013-03-18 17:18 - Dipan Mehta

I disagree!

There is no point in running only Login page in HTTPS and then let your session cookies visible to the rest of the world through HTTP only for some

eavesdropper to hijack you once you logged in!

Everything should be HTTPS or HTTP only!

#2 - 2017-01-16 01:13 - Go MAEDA

- Related to Feature #24763: Force SSL when Setting.protocol is "https" added

#3 - 2024-07-27 00:53 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Wont fix

In the 15 years since this issue was created, it has become strongly recommended and virtually mandatory to serve all content over HTTPS. This

practice is no longer considered "overkill".

Therefore, I believe there is no need to implement an option to enforce HTTPS only for the login page.
